## org.apache.axis.wsdl.toJava
Class GeneratedFileInfo.Entry

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.GeneratedFileInfo.Entry

Enclosing class:
  GeneratedFileInfo

public class GeneratedFileInfo.Entry
extends java.lang.Object

Structure to hold entries. There are three public data members:

- `fileName` - A relative path of the generated file.
- `className` - The name of the class in the file.
- `type` - The type of the file.
  Valid types are:
  `stub, interface, complexType, enumType, fault, holder, skeleton, skeletonImpl, service, deploy, undeploy, testCase`

Field Summary
`java.lang.String` `className`
`java.lang.String` `fileName`
`java.lang.String` `type`

Constructor Summary
`GeneratedFileInfo.Entry(java.lang.String name, java.lang.String className, java.lang.String type)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileName

    public java.lang.String fileName

### className

    public java.lang.String className

### type

    public java.lang.String type

Constructor Detail

### GeneratedFileInfo.Entry

    public GeneratedFileInfo.Entry(java.lang.String name,
                                   java.lang.String className,
                                   java.lang.String type)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.